import matplotlib.pyplot as plt
import numpy as np
import utilities as ut


def shadowed(points):
    for p in points:
        plt.scatter(p[0], p[1], s=160, marker="x", color="red")


def front(hull, layer):
    layer = np.asarray(layer)
    for simplex in hull.simplices:
        print(layer[simplex, 0], layer[simplex, 1])
        plt.plot(layer[simplex, 0], layer[simplex, 1], 'k--', )


def object(points, c, m, s):
    for p in points:
        if p:
            plt.scatter(p[0], p[1], s=s, marker=m, color=c, edgecolors="k")

def result(g_field):
    colors = ut.get_array_of_colors()
    for i, layer in enumerate(g_field):
        for point in layer:
            for j in range(0, len(g_field)):
                if i == j:
                    plt.scatter(point[0], point[1], s=160, marker="s", color=colors[j], edgecolors="k")


def result_layers(start, finish, g_field):
    colors = ut.get_array_of_colors()
    for i, layer in enumerate(g_field):
        if i >=start-1:
            if i<=finish-1:
                for point in layer:
                    for j in range(0, len(g_field)):
                        if i == j:
                            plt.scatter(point[0], point[1], s=160, marker="s", color=colors[j], edgecolors="k")

def hull(n, hulls, unions):
    for i, h in enumerate(hulls):
        if i == n-1:
            front(h, unions[n-1])



