import copy


def add_to(list1, list2):
    for point in list1:
        list2.append(point)


def union2(s1, s2):
    arr = copy.deepcopy(s1)
    for elem in s2:
        if elem not in arr:
            arr.append(elem)
    return arr


def union3(s1, s2, s3):
    temp = union2(s1,s2)
    return union2(temp,s3)

def union4(point, s2, s3, s4):
    temp = copy.deepcopy(s2)
    temp.append(point)
    return union3(temp, s3, s4)


# ns : number of input sets (2,3)
def union(ns, s1, s2, s3, s4):
    if ns == 2:
        return union2(s1, s2)
    if ns == 3:
        return union3(s1, s2, s3)
    if ns == 4:
        return union4(s1,s2,s3,s4)
    else:
        print("Number of sets out of range. Range is (2,3)")


def v_subtr(v1,v2):
    v = []
    for i in range(len(v1)):
        v.append(v1[i]-v2[i])
    return v


def n_norm(n,nd,x):
    sum = 0
    for i in range(nd):
        sum += abs(x[i])**n
    return sum**(1/n)



def get_array_of_colors():
    return ["grey","purple","gold","pink","teal", "tomato", "yellowgreen", "brown", "darkkhaki", "deepskyblue", "plum","orange","mediumvioletred", "mediumseagreen", "khaki", "hotpink", "olivedrab", "lightgrey", "darksalmon", "cadetblue", "beige", "grey","purple","gold","pink","teal", "tomato", "yellowgreen", "brown", "darkkhaki", "deepskyblue", "plum","orange","mediumvioletred", "mediumseagreen", "khaki", "hotpink", "olivedrab", "lightgrey", "darksalmon", "cadetblue", "beige" ]




#for 2d:

def get_dimensions(file):
    numChars = 0
    numLines = 0
    f = open(file, "r")
    for line in f:
        numLines += 1
        for char in line:
            if char == "-":
                numChars += 1
    f.close()
    #int(numChars/(numLines-1))
    return numChars, numLines
